/resource-profiles#resourceArn
http://macie2.{region}.amazonaws.com/resource-profiles#resourceArnUpdates the sensitivity score for an S3 bucket.
Query Params
The Amazon Resource Name (ARN) of the S3 bucket that the request applies to.
Body Params
The new sensitivity score for the bucket. Valid values are: 100, assign the maximum score and apply the <i>Sensitive</i> label to the bucket; and, null (empty), assign a score that Amazon Macie calculates automatically after you submit the request.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'http://macie2.{region}.amazonaws.com/resource-profiles#resourceArn' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}